function PlayerSound:play_footstep(foot, material_name)
	if material_name ~= nil and self._last_material ~= tweak_data.materials[material_name:key()] then
		self._last_material = tweak_data.materials[material_name:key()]
	end
	if self._last_material ~= nil then
		self:_play("footstep_" .. self._last_material)
	else
		self:_play("footstep_concrete")
	end
end

function PlayerSound:play_land(material_name)
	if material_name ~= nil and self._last_material ~= tweak_data.materials[material_name:key()] then
		self._last_material = tweak_data.materials[material_name:key()]
	end
	if self._last_material ~= nil then
		self:_play("footstep_" .. self._last_material)
	else
		self:_play("footstep_concrete")
	end
end

	local event_id = nil

	if type(sound_name) == "number" then
		event_id = sound_name
		sound_name = nil
	end

	if sync then
		event_id = event_id or SoundDevice:string_to_id(sound_name)

		self._unit:network():send("say", event_id)
	end